# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

# We need to patch the test suite if we have old versions of Test::More
%global old_test_more %(%{__perl} -MTest::More -e 'printf "%d\\n", $Test::More::VERSION < 0.77 ? 1 : 0;' 2>/dev/null || echo 0)

Name:		perl-Test-Script
Version:	1.07
Release:	3.%{__distinit}%{__distvers}
Summary:	Cross-platform basic tests for scripts
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Test-Script/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Test-Script-%{version}.tar.gz
Patch0:		perl-Test-Script-1.07-compiles_bad.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(IPC::Run3) >= 0.034
BuildRequires:	perl(Perl::MinimumVersion) >= 1.20
BuildRequires:	perl(Pod::Simple) >= 3.07
BuildRequires:	perl(Probe::Perl)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::CPAN::Meta) >= 0.12
BuildRequires:	perl(Test::MinimumVersion) >= 0.008
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.26
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(Test::More)

%description
The intent of this module is to provide a series of basic tests for scripts
in the bin directory of your Perl distribution.

%prep
%setup -q -n Test-Script-%{version}

# Sometimes t/bin/bad.pl dies with exit code 9, sometimes with 255.
# Upstream has tried to cater for this using a regex but old versions
# of Test::More don't support the use of regexes like this (it fails
# with 0.62 and passes with 0.78, probably needs 0.77), so we need to
# patch the test to check for the correct value.
%if %{old_test_more}
%patch0 -p1
EXITCODE=$(%{__perl} t/bin/bad.pl &> /dev/null || echo $?)
%{__sed} -i -e "s/@EXITCODE@/$EXITCODE/" t/03_compiles_bad.t
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{__chmod} -R u+w %{buildroot}/*

%check
%{__make} test AUTOMATED_TESTING=1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Script.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 1.07-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> - 1.07-2
- Fix dist tag for RHEL-6 Beta

* Tue Nov 24 2009 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07 (second attempt at fixing the "Using" bug)
- Update patch for t/03_compiles_bad.t (also patches t/05_runs_bad.t now)
- Use search.cpan.org source URL
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep 17 2009 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06 (fix t/03_compiles_bad.t)
- Update patch for t/03_compiles_bad.t (upstream fix requires
  Test::More >= 0.77)
- Manually add perl(Test::More) runtime dependency

* Tue Sep 15 2009 Paul Howarth <paul@city-fan.org> - 1.05-1
- Update to 1.05
  - change script_compiles_ok to script_compiles
  - add script_runs
  - attempt to support 5.6 properly
  - add dependency on Probe::Perl
  - full fidelity failure testing
  - update author tests
- Enable AUTOMATED_TESTING
- Buildreq Test::CPAN::Meta, Perl::MinimumVersion, Pod::Simple, Test::Pod, and
  Test::MinimumVersion
- Define RPM macros in global scope
- Patch t/03_compiles_bad.t to fix test failure when necessary

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 1.03-2
- Import from Fedora

* Tue Mar 11 2008 Ralf Corsépius <rc040203@freenet.de> - 1.03-1
- Upstream update.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.02-4
- Rebuild for perl 5.10 (again)

* Sat Jan 12 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.02-3
- Rebuild for new perl

* Tue Sep 18 2007 Ralf Corsépius <rc040203@freenet.de> - 1.02-2
- Reflect license tag changes.
- BR: perl(Test::More).
- Remove BR: perl.
- Add chmod -x Changes lib/Test/*pm

* Tue Aug 07 2007 Ralf Corsépius <rc040203@freenet.de> - 1.02-1
- Specfile autogenerated by cpanspec 1.73.
